#include <bits/stdc++.h>
using namespace std;
long long N, M, ukupno;
int main(){
    scanf("%lld",&N);
    scanf("%lld",&M);
    ukupno =2*(N+M-2)+ round((N-2)*(M-2)/2);
    cout<<ukupno;
    return 0;
}